Browse GIFs
GET
/library Browse the public GIF collection with filtering by action, type, pairing, and anime. Returns paginated results. Only SFW GIFs are included.
Query parameters
Section titled “Query parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
action | string | No | Filter by action type (e.g. hug, kiss) |
type | string | No | Filter by action type variant (for example: action=kiss&type=mouth). Requires `action` and only works for fully typed actions. |
pairing | string | No | Filter by pairing (f, m, ff, mm, fm, mf) |
anime | string | No | Filter by anime name |
limit | number | No | Number of results per page (default: 60, max: 200) |
offset | number | No | Offset for pagination (default: 0) |
If you send type, you must also send action.
Use GET /actions/{action}/types to discover available values.
Response fields
Section titled “Response fields”| Field | Type | Description |
|---|---|---|
gifs | object[] | Array of GIF objects |
gifs[].id | number | Unique GIF identifier |
gifs[].action | string | The action type |
gifs[].type optional | string | Type variant of the GIF |
gifs[].pairing | string | The pairing type |
gifs[].url | string | Direct CDN URL |
gifs[].anime optional | string | Anime name |
gifs[].content_type | string | MIME type |
gifs[].size_bytes | number | File size in bytes |
gifs[].filename | string | GIF filename |
total | number | Total number of matching GIFs (for pagination) |
Example request
Section titled “Example request”curl "https://api.gifukai.com/library?action=hug&limit=2"Status codes
Section titled “Status codes”| Status | Description |
|---|---|
| 200 | Successfully returned paginated GIF list |
| 400 | Invalid pairing/type parameter, or `type` used without `action` |
| 500 | Internal server error |